<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="transactionForm" (ngSubmit)="onSubmit()">
    <ion-list lines="full" class="ion-no-margin ion-no-padding">
      <ng-container *ngFor="let field of settings.fields; let i = index">
        <ion-item *ngIf="field.show">
          <ion-label
            [position]="field.position"
            [textContent]="field.label"
          ></ion-label>

          <ion-input
            *ngIf="field.type === 'number'"
            [min]="field.min"
            [max]="field.max"
            [type]="field.type"
            [formControlName]="field.formControlName"
          ></ion-input>

          <ng-container *ngIf="field.formControlName === 'quantity'">
            <ion-button color="primary" (click)="addQuantity()">
              <ion-icon name="add"></ion-icon>
            </ion-button>
            <ion-button color="secondary" (click)="subtractQuantity()">
              <ion-icon name="remove"></ion-icon>
            </ion-button>
          </ng-container>

          <ion-input
            *ngIf="field.type === 'text'"
            [type]="field.type"
            [formControlName]="field.formControlName"
          ></ion-input>

          <ion-datetime
            *ngIf="field.type === 'date'"
            displayFormat="MMMM D, YYYY"
            [formControlName]="field.formControlName"
          ></ion-datetime>

          <ion-datetime
            *ngIf="field.type === 'time'"
            displayFormat="h:mm A"
            [formControlName]="field.formControlName"
          ></ion-datetime>

          <ion-textarea
            *ngIf="field.type === 'textarea'"
            [formControlName]="field.formControlName"
            rows="2"
          ></ion-textarea>

          <ion-select
            [formControlName]="field.formControlName"
            *ngIf="field.type === 'select'"
            interface="popover"
          >
            <ion-select-option
              *ngFor="let item of field.dropdown"
              [value]="item"
              [textContent]="item"
            ></ion-select-option>
          </ion-select>

          <!-- <ion-select
            [formControlName]="field.formControlName"
            *ngIf="field.type === 'selectMethod'"
            interface="popover"
            (ionChange)="setWallet()"
          >
            <ion-select-option
              *ngFor="let item of field.dropdown"
              [value]="item"
              [textContent]="item"
            ></ion-select-option>
          </ion-select>

          <ion-select
            [formControlName]="field.formControlName"
            *ngIf="field.type === 'selectNested'"
            interface="popover"
            [attr.disabled]="!field.dropdown[transactionForm.value.method]"
          >
            <ion-select-option
              *ngFor="let item of field.dropdown[transactionForm.value.method]"
              [value]="item"
              [textContent]="item"
            ></ion-select-option>
          </ion-select> -->
        </ion-item>
      </ng-container>
    </ion-list>

    <div class="ion-padding">
      <ion-button expand="block" type="submit" class="ion-no-margin"
        >Submit</ion-button
      >
    </div>
  </form>
</ion-content>
